Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# RtecEventChannelAdmin::EventChannel Class Reference

The main interface for the event service. More...

`import "RtecEventChannelAdmin.idl";`

List of all members.

## Public Methods
ConsumerAdmin | for_consumers ()
| Consumers call this method to gain access to the ProxyPushSupplier factory. More...
SupplierAdmin | for_suppliers ()
| Suppliers call this method to gain access to the ProxyPushConsumer factory. More...
void | destroy ()
| Shuts down the Event Channel. More...
Observer_Handle | append_observer (in Observer gw) raises (SYNCHRONIZATION_ERROR,CANT_APPEND_OBSERVER)
| Add an observer to the event channel. More...
void | remove_observer (in Observer_Handle gw) raises (SYNCHRONIZATION_ERROR,CANT_REMOVE_OBSERVER)
| Remove the observer. More...

## Detailed Description

The main interface for the event service.

This class provides the main entry point for the Event Service. The class follows a protocol similar to the COS Events Service as described in the CORBAservices spec.

## Member Function Documentation

Observer_Handle RtecEventChannelAdmin::EventChannel::append_observer | ( | in Observer | gw | ) | raises (SYNCHRONIZATION_ERROR,CANT_APPEND_OBSERVER)

| Add an observer to the event channel. Return the handle used in the remove_observer() call.

void RtecEventChannelAdmin::EventChannel::destroy | ( | void |  | ) |

| Shuts down the Event Channel. Calling this methods destroys the event service, all its resource and results in a call to disconnect_push_XXX() on all connected clients.

ConsumerAdmin RtecEventChannelAdmin::EventChannel::for_consumers | ( |  | ) |

| Consumers call this method to gain access to the ProxyPushSupplier factory.

SupplierAdmin RtecEventChannelAdmin::EventChannel::for_suppliers | ( |  | ) |

| Suppliers call this method to gain access to the ProxyPushConsumer factory.

void RtecEventChannelAdmin::EventChannel::remove_observer | ( | in Observer_Handle | gw | ) | raises (SYNCHRONIZATION_ERROR,CANT_REMOVE_OBSERVER)

| Remove the observer.

The documentation for this class was generated from the following file:

- RtecEventChannelAdmin.idl